Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001851TestLinkThird party componentspublic2008-11-10 19:352009-01-20 05:19
Reporterfman 
Assigned Tofman 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 1 
Fixed in Version1.8 RC 2 
Summary0001851: pCharts gives divide by 0 error when no test case has been executed
DescriptionMessage in event viewer:

0/11/2008 12:33:21 WARNING E_WARNING Division by zero - in D:\w3\tl\release\testlink_18RC1\third_party\pchart\pChart\pChart.class - Line 467 admin


Must check with pChart team
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
related to 0001861closedfman When I use Results-->Charts, I got a frozen window 
related to 0001848closedfman Charts not working 

-  Notes
(0004572)
mhavlat (reporter)
2008-11-11 16:54

I suggest to check number at the begin of script and redirect to general/staticPage.php page with explanation of problem.
(0004576)
fman (administrator)
2008-11-11 18:48

Problems seem to be algorithm to compute scale on pChart class.
I will try to develop a fix
(0004608)
fman (administrator)
2008-11-13 22:35

see fix on 1848

- Issue History
Date Modified Username Field Change
2008-11-10 19:35 fman New Issue
2008-11-11 16:54 mhavlat Note Added: 0004572
2008-11-11 16:54 mhavlat Assigned To => fman
2008-11-11 16:54 mhavlat Status new => acknowledged
2008-11-11 18:48 fman Note Added: 0004576
2008-11-11 23:04 fman Relationship added related to 0001861
2008-11-11 23:05 fman Relationship added related to 0001848
2008-11-13 22:35 fman Note Added: 0004608
2008-11-26 01:48 fman Status acknowledged => resolved
2008-11-26 01:48 fman Fixed in Version => next development 1.8 RC 2
2008-11-26 01:48 fman Resolution open => fixed
2009-01-20 05:19 mhavlat Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker